# Class NextProtXmlIsoform

java.lang.Object
org.snpeff.nextProt.NextProtXmlNode
org.snpeff.nextProt.NextProtXmlIsoform

public class NextProtXmlIsoform extends NextProtXmlNode
Mimics the 'isoform-mapping' in a NextProt XML file

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtXmlIsoform(String accession)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProteinMapping(Attributes attributes)`
Add a transcript mapping
`void`
`addTranscriptMapping(Attributes attributes)`
Add a protein mapping
`Set<String>`
`getProteinIds()`
`String`
`getSequence()`
`Set<String>`
`getTranscriptIds()`
`void`
`setSequence(String sequence)`
Add an Isoform sequence
`String`
`toString()`

### Methods inherited from class NextProtXmlNode

`getAccession`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NextProtXmlIsoform

public NextProtXmlIsoform(String accession)

## Method Details

### addProteinMapping

public void addProteinMapping(Attributes attributes)
Add a transcript mapping

### addTranscriptMapping

public void addTranscriptMapping(Attributes attributes)
Add a protein mapping

### getProteinIds

public Set<String> getProteinIds()

### getSequence

public String getSequence()

### getTranscriptIds

public Set<String> getTranscriptIds()

### setSequence

public void setSequence(String sequence)
Add an Isoform sequence

### toString

public String toString()

Overrides:
  `toString` in class `Object`